AntiFeatures:
  - NonFreeNet
Categories:
  - Development
License: Apache-2.0
WebSite: https://slapperwan.github.io/gh4a/
SourceCode: https://github.com/slapperwan/gh4a
IssueTracker: https://github.com/slapperwan/gh4a/issues
Changelog: https://github.com/slapperwan/gh4a/releases

AutoName: OctoDroid

RepoType: git
Repo: https://github.com/slapperwan/gh4a.git

Builds:
  - versionName: '3.6'
    versionCode: 36
    disable: third party maven repos, jars
    commit: 53d2e5bbfd76d8ad4a779913df7b3f193fb19a3e
    patch:
      - bugsense.patch
    gradle:
      - yes
    prebuild: rm -rf libs/android-support-v4.jar

  - versionName: 3.7.1
    versionCode: 38
    commit: v3.7.1
    patch:
      - mint.patch
      - gradle.patch
    gradle:
      - yes
    srclibs:
      - GH4AGitHubAPI@3d1878bd48d9aa3817a91b5a193b600c31e0406
      - ViewPagerIndicator@2.4.1
    prebuild:
      - rm -rf libs/*.jar
      - cp -a $$GH4AGitHubAPI$$/src/org src
      - sed -i -e '/populov/d' -e '/mavenCentral/imavenLocal()' build.gradle
      - pushd $$ViewPagerIndicator$$
      - sed -i 's;<android-maven.version>3.3.0</android-maven.version>;<android-maven.version>3.7.0</android-maven.version>;'
        ../pom.xml pom.xml
      - sed -i -e 's/apklib/aar/g' pom.xml
      - rm libs/*
      - cd ..
      - $$MVN3$$ install
      - popd

  - versionName: '3.8'
    versionCode: 40
    commit: v3.8.0
    gradle:
      - yes
    srclibs:
      - GH4AGitHubAPI@746ef8c843e4dfbd8505f72b6a2dbb23559f4ca6
      - PreferenceFragment@717a45433b
    prebuild:
      - rm -rf libs/*.jar
      - cp -a $$GH4AGitHubAPI$$/src/org src
      - sed -i -e '/\(populov\|kolavar\|kageiit\)/d' build.gradle
      - sed -i -e "s/compile.*preferencefragment.*/compile project('preferencefragment')/"
        build.gradle
      - echo -e "include ':preferencefragment'\nproject(':preferencefragment').projectDir
        = new File('../srclib/PreferenceFragment')" > settings.gradle
      - sed -i -e "s/0.10.+/1.0.0/" $$PreferenceFragment$$/build.gradle
      - sed -i -e '/[Cc]rashlytics/d' build.gradle AndroidManifest.xml src/com/gh4a/Gh4Application.java

  - versionName: 3.8.1
    versionCode: 41
    commit: v3.8.1
    gradle:
      - yes
    srclibs:
      - GH4AGitHubAPI@746ef8c843e4dfbd8505f72b6a2dbb23559f4ca6
      - PreferenceFragment@717a45433b
    prebuild:
      - rm -rf libs/*.jar
      - cp -a $$GH4AGitHubAPI$$/src/org src
      - sed -i -e '/\(populov\|kolavar\|kageiit\)/d' build.gradle
      - sed -i -e "s/compile.*preferencefragment.*/compile project('preferencefragment')/"
        build.gradle
      - echo -e "include ':preferencefragment'\nproject(':preferencefragment').projectDir
        = new File('../srclib/PreferenceFragment')" > settings.gradle
      - sed -i -e "s/0.10.+/1.0.0/" $$PreferenceFragment$$/build.gradle
      - sed -i -e '/[Cc]rashlytics/d' build.gradle AndroidManifest.xml src/com/gh4a/Gh4Application.java

  - versionName: 4.0.2
    versionCode: 45
    disable: third party maven repos, jars, non-free deps
    commit: v4.0.2
    gradle:
      - yes

  - versionName: 4.2.0
    versionCode: 54
    commit: v4.2.0
    subdir: app
    patch:
      - 0001-remove-nonfree-dependencies.patch
      - 0002-add-clientid-and-secret.patch
    gradle:
      - foss

  - versionName: 4.2.1
    versionCode: 55
    commit: v4.2.1
    subdir: app
    gradle:
      - foss
    prebuild: sed -i -e '/fabric/d' -e '/playstoreCompile(.*) {/,/}/d' -e s/ClientId/\'\"f0f32f2ee4a709ba3640\"\'/
        -e s/ClientSecret/\'\"f94cffda88486696c2762ad986bc0b8b830c9cff\"\'/ build.gradle

  - versionName: 4.3.1
    versionCode: 58
    commit: v4.3.1
    subdir: app
    gradle:
      - foss
    prebuild: sed -i -e '/fabric/d' -e '/playstoreImplementation(.*) {/,/}/d' -e s/ClientId/\'\"f0f32f2ee4a709ba3640\"\'/
        -e s/ClientSecret/\'\"f94cffda88486696c2762ad986bc0b8b830c9cff\"\'/ build.gradle

  - versionName: 4.3.2
    versionCode: 59
    commit: v4.3.2
    subdir: app
    gradle:
      - foss
    prebuild: sed -i -e '/fabric/d' -e '/playstoreImplementation(.*) {/,/}/d' -e s/ClientId/\'\"f0f32f2ee4a709ba3640\"\'/
        -e s/ClientSecret/\'\"f94cffda88486696c2762ad986bc0b8b830c9cff\"\'/ build.gradle

  - versionName: 4.4.0
    versionCode: 60
    commit: v4.4.0
    subdir: app
    gradle:
      - foss
    prebuild: sed -i -e '/fabric/d' -e '/playstoreImplementation(.*) {/,/}/d' -e s/ClientId/\'\"f0f32f2ee4a709ba3640\"\'/
        -e s/ClientSecret/\'\"f94cffda88486696c2762ad986bc0b8b830c9cff\"\'/ build.gradle

  - versionName: 4.5.0
    versionCode: 61
    commit: v4.5.0
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/fabric/d' -e '/playstoreImplementation(.*) {/,/}/d' -e s/ClientId/\'\"f0f32f2ee4a709ba3640\"\'/
        -e s/ClientSecret/\'\"f94cffda88486696c2762ad986bc0b8b830c9cff\"\'/ build.gradle

  - versionName: 4.6.0
    versionCode: 62
    commit: 4.6.0
    subdir: app
    gradle:
      - yes
    prebuild:
      - sed -i -e '/fabric/d' -e '/playstoreImplementation(.*) {/,/}/d' build.gradle
      - echo 'ClientId="f0f32f2ee4a709ba3640"' >> client.properties
      - echo 'ClientSecret="f94cffda88486696c2762ad986bc0b8b830c9cff"' >> client.properties

  - versionName: 4.6.2
    versionCode: 64
    commit: 4.6.2
    subdir: app
    gradle:
      - yes
    prebuild:
      - sed -i -e '/fabric/d' -e '/playstoreImplementation(.*) {/,/}/d' build.gradle
      - echo 'ClientId="f0f32f2ee4a709ba3640"' >> client.properties
      - echo 'ClientSecret="f94cffda88486696c2762ad986bc0b8b830c9cff"' >> client.properties

  - versionName: 4.6.3
    versionCode: 65
    commit: 4.6.3
    subdir: app
    gradle:
      - yes
    prebuild:
      - sed -i -e '/fabric/d' -e '/playstoreImplementation(.*) {/,/}/d' build.gradle
      - echo 'ClientId="f0f32f2ee4a709ba3640"' >> client.properties
      - echo 'ClientSecret="f94cffda88486696c2762ad986bc0b8b830c9cff"' >> client.properties

  - versionName: 4.6.4
    versionCode: 66
    commit: 4.6.4
    subdir: app
    gradle:
      - yes
    prebuild:
      - sed -i -e '/fabric/d' -e '/playstoreImplementation(.*) {/,/}/d' build.gradle
      - echo 'ClientId="f0f32f2ee4a709ba3640"' >> client.properties
      - echo 'ClientSecret="f94cffda88486696c2762ad986bc0b8b830c9cff"' >> client.properties

  - versionName: 4.6.5
    versionCode: 68
    commit: b2b46f6ade91cfe0da318b20103ab33482d35b17
    subdir: app
    gradle:
      - yes
    prebuild:
      - sed -i -e '/fabric/d' -e '/playstoreImplementation(.*) {/,/}/d' build.gradle
      - echo 'ClientId="f0f32f2ee4a709ba3640"' >> client.properties
      - echo 'ClientSecret="f94cffda88486696c2762ad986bc0b8b830c9cff"' >> client.properties

  - versionName: 4.6.6
    versionCode: 69
    commit: 28b954f2ee8ebbea81de9ffca9a925cdf947e5f6
    subdir: app
    gradle:
      - yes
    prebuild:
      - sed -i -e '/fabric/d' -e '/playstoreImplementation(.*) {/,/}/d' build.gradle
      - echo 'ClientId="f0f32f2ee4a709ba3640"' >> client.properties
      - echo 'ClientSecret="f94cffda88486696c2762ad986bc0b8b830c9cff"' >> client.properties

  - versionName: 4.6.7
    versionCode: 70
    commit: df734037c42e6017fb27f50c0a4177abbca80fec
    subdir: app
    gradle:
      - yes
    prebuild:
      - sed -i -e '/fabric/d' -e '/playstoreImplementation(.*) {/,/}/d' build.gradle
      - echo 'ClientId="f0f32f2ee4a709ba3640"' >> client.properties
      - echo 'ClientSecret="f94cffda88486696c2762ad986bc0b8b830c9cff"' >> client.properties

AutoUpdateMode: Version %v
UpdateCheckMode: Tags
CurrentVersion: 4.6.7
CurrentVersionCode: 70
